import os
import tempfile
import atexit

DEBUG = True
DISABLE_SCHEDULER = True
API_ROULETTE_MODE = 0

# All paths are relative to src
DB_DATA = "../config/db_test_data.sql"

DB_ENGINE = "sqlite"
SQLITE = {
    "file": tempfile.mktemp(prefix="test_sqlite_db"),
    "schema": "../config/db_schema_sqlite.sql",
    "init_schema": True,
    "init_data": True
}

#  DB_ENGINE = "postgres"
POSTGRES = {
    "database": "videoagtest"
}


def _on_exit():
    # noinspection PyBroadException
    try:
        os.remove(SQLITE["file"])
    except Exception:
        pass


atexit.register(_on_exit)
